org.apache.coyote

## Class ContainerThreadMarker

- java.lang.Object
- - org.apache.coyote.ContainerThreadMarker

-     public class ContainerThreadMarker
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerThreadMarker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isContainerThread()`
    `static void` | `markAsContainerThread()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerThreadMarker

          public ContainerThreadMarker()

  - ### Method Detail

    - #### isContainerThread

          public static boolean isContainerThread()

    - #### markAsContainerThread

          public static void markAsContainerThread()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.